MJIT, Windows, MinGW and tmp dir

02/19/2018 04:51 PM - MSP-Greg (Greg L)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.6.0dev (2018-02-19 trunk 62484)

[x64-mingw32]

Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

For the time being, I've shut off testing MJIT on ruby-loco, as (at least when I did so) tests seemed to be timing out.

As mentioned earlier in https://bugs.ruby-lang.org/issues/14464, when I try to test locally, I have a temp folder issue, as my standard

user name has a space, and the temp folder used is /Users/user name/AppData/Local/temp.  This causes issues when

building/compiling with MJIT.

I believe the issue is related to the call to rb_w32_system_tmpdir in mjit.c on or about line 1229 (defined in win32/win32.c).  With

many other situations, it seems that Ruby first looks for env settings of TEMP, TMP, or TMPDIR before using the folder found with

rb_w32_system_tmpdir.

I've used Ruby with a 'username space' for many years, and I've been using trunk as my day-to-day ruby for many months.  I've

never had any issues with user config files, gems installed to '--user-install', compiling and testing extension gems (no fat binary

gems for trunk), building MYSY2/MinGW packages, etc.  I believe all of these operations either use tempfiles or write to the user

directory.

Hence, if MJIT could be changed to use the temp folder as used in other situations, it would be helpful.  I would not be asking if it

wasn't for all of the above working without issue...

Thanks, Greg

Associated revisions

Revision 18af42d5a47a7e5642f11fce3b8774b0959064ba - 02/20/2018 05:32 AM - nobu (Nobuyoshi Nakada)

mjit.c: prefer $TMPDIR and $TMP

mjit.c (system_tmpdir): prefer $TMPDIR and $TMP over system

defulat temporary directory, if exists, writable, and safe.

[ruby-core:85651] [Bug #14496]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62492 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 18af42d5 - 02/20/2018 05:32 AM - nobu (Nobuyoshi Nakada)

mjit.c: prefer $TMPDIR and $TMP

mjit.c (system_tmpdir): prefer $TMPDIR and $TMP over system

defulat temporary directory, if exists, writable, and safe.

[ruby-core:85651] [Bug #14496]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62492 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/20/2018 05:32 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset trunk|r62492.

mjit.c: prefer $TMPDIR and $TMP

mjit.c (system_tmpdir): prefer $TMPDIR and $TMP over system

defulat temporary directory, if exists, writable, and safe.
